Bug 597775 - Fn + F4 no longer suspends on ibm thinkpad
Fn + F4 no longer suspends on ibm thinkpad
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: acpid (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Jiri Skala
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-30 09:21 EDT by Andy Cobaugh
Modified: 2014-11-09 17:33 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-28 14:10:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andy Cobaugh 2010-05-30 09:21:41 EDT
Description of problem:

Under Fedora 12, hitting Fn + F4 properly performed a suspend-to-ram on an IBM Thinkpad T23. This no longer works under F13. 

Reporting this under acpid because I believe that is what made this work previously, throuh /etc/apci/{events,actions}, but it would appear there is only one action defined for the press of the power button.

Version-Release number of selected component (if applicable):
acpid-1.0.10-2.fc12.i686

How reproducible:
100%

Steps to Reproduce:
1. Press Fn+F4
2.
3.
  
Actual results:

Absolutely nothing.

Expected results:

Should suspend to ram.

Additional info:

Running acpid in the foreground, I do see that a button event is registered when fn+f4 is pressed:

acpid: received event "button/sleep SLPB 00000080 00000005"

The only way to get this laptop to suspend is to manually run pm-suspend as root. Rather annoying.
Comment 1 Jiri Skala 2010-06-03 08:08:36 EDT
It works on my ThinkPad T61 fine. I've got another event for Fn+F4. There is no change in acpid between F12/F13. Well, I've set flag needinfo from udev maintainer.

Harald, could it be issue of udev? I've tested it with udev-151-9.fc13.x86_64.

Andy, could you specify your udev version?

Thanks

Jiri
Comment 2 Jiri Skala 2010-06-22 04:41:27 EDT
Do you have correct maps in /lib/udev/keymaps?

I see difference between my and your's event. I've got:

ibm/hotkey HKEY 00000080 00001004

and this works. Inspect status of your keymaps.
Comment 3 Andy Cobaugh 2010-06-29 03:10:18 EDT
udev-151-10.fc13.i686

How do I check the keymaps? I don't see 'ibm' referenced anywhere in /lib/udev/keymap or keymaps/

Also, this *might* be related to having kernel modules loaded which don't support suspend (OSS), although I'm pretty sure it has failed to suspend at least once after running soundoff (turns off OSS and unloads kernel modules). I've been running like this for years, and F13 is the first time I remember having this problem.

I will have to do some more testing and report back.
Comment 4 Jiri Skala 2010-07-02 08:29:12 EDT
I don't think it's related to kernel modules that don't support suspend because you wrote in the description of the issue that explicit call pm-suspend works.

I suppose the issue is somehow bind to key mapping. I've added udev maintainer to CC.

I don't know if you use gnome/kde/... but you could check key mapping in the desktop component too.

Jiri
Comment 5 Harald Hoyer 2010-07-02 08:44:45 EDT
Indeed, the udev keymapping could be involved:

See /usr/share/doc/udev-*/README.keymap.txt 

In Fedora 13 we have for example:

/lib/udev/keymaps/module-ibm 

0x01 battery # Fn+F2
0x02 screenlock # Fn+F3
0x03 sleep # Fn+F4
0x04 wlan # Fn+F5
0x06 switchvideomode # Fn+F7
0x07 zoom # Fn+F8 screen expand
0x08 f24 # Fn+F9 undock
0x0B suspend # Fn+F12
0x0F brightnessup # Fn+Home
0x10 brightnessdown # Fn+End
0x11 kbdillumtoggle # Fn+PgUp - ThinkLight
0x13 zoom # Fn+Space
0x14 volumeup
0x15 volumedown
0x16 mute
0x17 prog1 # ThinkPad/ThinkVantage button  (high keycode: "vendor")
Comment 6 Andy Cobaugh 2010-07-02 10:22:19 EDT
I'm using fluxbox, and I don't have anything mapped to fn+f4.

I hope to get some more time to mess around with it this weekend.
Comment 7 Jiri Skala 2011-01-27 08:09:00 EST
(In reply to comment #6)
> I'm using fluxbox, and I don't have anything mapped to fn+f4.
> 
> I hope to get some more time to mess around with it this weekend.

Any progress?
Comment 8 Jiri Skala 2011-04-28 14:10:18 EDT
There is no more information for long time. Therefore I'm going to close this bug. If the difficulties persist don't hesitate to reopen it with providing additional data.

Note You need to log in before you can comment on or make changes to this bug.